Bug 1387281 - [abrt] xorg-x11-server-Xwayland: Segmentation fault at address 0x10
Summary: [abrt] xorg-x11-server-Xwayland: Segmentation fault at address 0x10
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5cbba50b40b3752a4c20768708e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-20 14:12 UTC by Satish Balay
Modified: 2016-11-26 22:53 UTC (History)
2 users (show)

Fixed In Version: xorg-x11-server-1.19.0-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-26 22:53:11 UTC
Type: ---


Attachments (Terms of Use)
File: Xorg.0.log (111.24 KB, text/plain)
2016-10-20 14:12 UTC, Satish Balay
no flags Details
File: backtrace (734 bytes, text/plain)
2016-10-20 14:12 UTC, Satish Balay
no flags Details
File: dmesg (222.22 KB, text/plain)
2016-10-20 14:12 UTC, Satish Balay
no flags Details
File: dso_list (249 bytes, text/plain)
2016-10-20 14:12 UTC, Satish Balay
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (334 bytes, application/octet-stream)
2016-10-20 14:12 UTC, Satish Balay
no flags Details
File: usr_share_xorg_conf_d.tar.gz (2.60 KB, application/octet-stream)
2016-10-20 14:12 UTC, Satish Balay
no flags Details

Description Satish Balay 2016-10-20 14:12:13 UTC
Description of problem:
when 'kdiff3' was being invoked during 'git mergetool'
previously occured when using gitk

Version-Release number of selected component:
xorg-x11-server-Xwayland-1.19.0-0.2.20160929.fc25

Additional info:
reporter:       libreport-2.8.0
executable:     /usr/bin/Xwayland
kernel:         4.8.2-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (OsLookupColor+0x139) [0x58f4d9]
1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x7f1fdc1d85bf]
2: /usr/bin/Xwayland (miPointerUpdateSprite+0x242) [0x4731d2]
3: /usr/bin/Xwayland (miPointerUpdateSprite+0x4ba) [0x47389a]
4: /usr/bin/Xwayland (fbSolid+0xdc1) [0x460b31]
5: /usr/bin/Xwayland (AddTraps+0x77e2) [0x4f4ab2]
6: /usr/bin/Xwayland (TimerSet+0x190) [0x589790]
7: /usr/bin/Xwayland (TimerSet+0x208) [0x589858]
8: /usr/bin/Xwayland (WaitForSomething+0x1b0) [0x589860]
9: /usr/bin/Xwayland (SendErrorToClient+0x13a) [0x5552aa]
10: /usr/bin/Xwayland (InitFonts+0x428) [0x5594b8]
11: /lib64/libc.so.6 (__libc_start_main+0xf1) [0x7f1fdbe21401]
12: /usr/bin/Xwayland (_start+0x2a) [0x423aca]
13: ? (?+0x2a) [0x2a]

Comment 1 Satish Balay 2016-10-20 14:12:16 UTC
Created attachment 1212544 [details]
File: Xorg.0.log

Comment 2 Satish Balay 2016-10-20 14:12:17 UTC
Created attachment 1212545 [details]
File: backtrace

Comment 3 Satish Balay 2016-10-20 14:12:18 UTC
Created attachment 1212546 [details]
File: dmesg

Comment 4 Satish Balay 2016-10-20 14:12:19 UTC
Created attachment 1212547 [details]
File: dso_list

Comment 5 Satish Balay 2016-10-20 14:12:20 UTC
Created attachment 1212548 [details]
File: etc_X11_xorg_conf_d.tar.gz

Comment 6 Satish Balay 2016-10-20 14:12:21 UTC
Created attachment 1212549 [details]
File: usr_share_xorg_conf_d.tar.gz

Comment 7 Olivier Fourdan 2016-10-20 14:42:43 UTC
addr2line -fe /usr/lib/debug/usr/bin/Xwayland.debug 0x4731d2 0x47389a 0x460b31 0x4f4ab2 0x589790 0x589858 0x589860 0x5552aa 0x5594b8
miPointerUpdateSprite
/usr/src/debug/xorg-server-20160929/mi/mipointer.c:474
miPointerSetPosition
/usr/src/debug/xorg-server-20160929/mi/mipointer.c:641
SProcXFixesChangeCursor
/usr/src/debug/xorg-server-20160929/xfixes/cursor.c:687
miSyncShmCreateFenceFromFd
/usr/src/debug/xorg-server-20160929/miext/sync/misyncshm.c:132
WaitForSomething
/usr/src/debug/xorg-server-20160929/os/WaitFor.c:148
WaitForSomething
/usr/src/debug/xorg-server-20160929/os/WaitFor.c:230
WaitForSomething
/usr/src/debug/xorg-server-20160929/os/WaitFor.c:230
Dispatch
/usr/src/debug/xorg-server-20160929/dix/dispatch.c:348
dix_main
/usr/src/debug/xorg-server-20160929/dix/main.c:321

Comment 8 Satish Balay 2016-11-12 13:43:06 UTC
Currently on xorg-x11-server-Xwayland-1.19.0-0.7.rc2.fc25.x86_64 - this still breaks..

I use an external monitor via a minidoc [and swap in/out regularly]- I'm not sure if that has something to do with triggering this issue.

So I'm avoiding  wayland by using "GNOME on Xorg"

Comment 9 Olivier Fourdan 2016-11-14 07:33:10 UTC
Same as bug 1393158

Comment 10 Olivier Fourdan 2016-11-16 07:59:54 UTC
I have posted a patch upstream that should fix this issue:

  https://patchwork.freedesktop.org/series/15344/

And also prepared a test package for Fedora which includes this patch:

  F25:     http://koji.fedoraproject.org/koji/taskinfo?taskID=16471034
  rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=16471224

Could you try this build and see if that fixes the issue for you?

Note: these builds are scratch builds, they will automatically be deleted shortly.

Comment 11 Satish Balay 2016-11-16 14:35:58 UTC
I've installed and currently using the scratch build - will update if I see the error again [or not]

thanks,

Comment 12 Satish Balay 2016-11-18 18:45:30 UTC
I encountered a crash - but a different one.

bug 1396630

Comment 13 Satish Balay 2016-11-21 02:34:50 UTC
I'm able to reproduce the issue ( and bug 1396630 ) fairly reliably by calling 'hg view' repeatedly in a script - and then doing some mouse actions [toggle full screen, switch desktop - or go into overview mode - and ctrl-w to quit]


$ cat test.sh
#!/bin/sh
hgrepo=$HOME/tmp/hg
cd $hgrepo
while /bin/true; do
hg view
done

Comment 14 Olivier Fourdan 2016-11-21 19:36:09 UTC
(In reply to Satish Balay from comment #13)
> I'm able to reproduce the issue ( and bug 1396630 ) fairly reliably by
> calling 'hg view' repeatedly in a script - and then doing some mouse actions
> [toggle full screen, switch desktop - or go into overview mode - and ctrl-w
> to quit]

Good! Can you try with this build (new patch, new scratch build):

http://koji.fedoraproject.org/koji/taskinfo?taskID=16555185

Comment 15 Satish Balay 2016-11-21 20:27:53 UTC
It works well. I couldn't get it to crash with this script looping over many times. [previously it would crash within a few (2-5) loops]

thanks,

Comment 16 Olivier Fourdan 2016-11-22 07:01:47 UTC
Brilliant, thanks for confirming!

Comment 17 Olivier Fourdan 2016-11-22 08:53:00 UTC
Do you mind if I add your "Tested-by:  Satish Balay <balay@fastmail.fm>" to the patch upstream https://patchwork.freedesktop.org/patch/122971/ ?

Comment 18 Satish Balay 2016-11-22 14:32:01 UTC
sure thats fine.

Comment 19 Fedora Update System 2016-11-23 10:53:28 UTC
xorg-x11-server-1.19.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-45775f3dcf

Comment 20 Fedora Update System 2016-11-25 09:41:22 UTC
xorg-x11-server-1.19.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-45775f3dcf

Comment 21 Fedora Update System 2016-11-26 22:53:11 UTC
xorg-x11-server-1.19.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.